Bug 272138 - Does not allow to move user to system-config
Summary: Does not allow to move user to system-config
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Control Module (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Kügler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-01 12:55 UTC by Andreas Pakulat
Modified: 2011-05-09 06:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Pakulat 2011-05-01 12:55:57 UTC
Version:           unspecified (using KDE 4.6.2) 
OS:                Linux

When trying to move a pre-existing user-configuration entry to the system-config by enabling the checkbox in the config dialog, the entry vanishes from the configuration list and is not added to the system configuration.

When instead checking the checkbox right when creating the configuration freshly then the root-password is asked via PolicyKit as expected

Reproducible: Always

Steps to Reproduce:
Open Manage Configurations.
Select and existing config entry that is a User-config, click Edit.
Click the System Configuration checkbox.
Click Ok.

Actual Results:  
The config is completely deleted

Expected Results:  
The PolicyKit dialog should ask for authentication as admin user to be able to write the configuration to /etc/NetworkManager.
Comment 1 Lamarque V. Souza 2011-05-02 02:56:24 UTC
This is a known problem: http://mail.kde.org/pipermail/kde-networkmanager/2011-April/000739.html

To resume: NM's ifnet plugin does not warn Plasma NM that the connection has been changed, only when it is fresh created, but the connection is actually created, just not listed until NM's restarts. This problem does not happens with NM's keyfile plugin.
Comment 2 Lamarque V. Souza 2011-05-02 09:30:08 UTC
Git commit e510420831624ef55379a8329a3882f37dbebf5c by Lamarque V. Souza.
Committed on 02/05/2011 at 09:04.
Pushed by lvsouza into branch 'master'.

Fix problems when changing connection's scope from user to system and
vice-versa. I am not happy about what I had to do to fix the problems,
this code should really be refactored, but seems to work now. Please
test.

CCBUG: 272138

M  +66   -19   backends/NetworkManager/nmdbussettingsconnectionprovider.cpp     
M  +3    -2    backends/NetworkManager/nmdbussettingsconnectionprovider.h     
M  +59   -31   settings/config/manageconnectionwidget.cpp     
M  +1    -1    settings/config/manageconnectionwidget.h     

http://commits.kde.org/networkmanagement/e510420831624ef55379a8329a3882f37dbebf5c
Comment 3 Andreas Pakulat 2011-05-02 19:40:04 UTC
I probably won't be able to test this anytime soon as I'm using debian-packages (though experimental). So feel free to close this for now and I'll re-open the report once I got updates on the packages.